Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 256693

Summary: A new HOWTO for installing and customising Openbox3
Product: [OLD] Docs on www.gentoo.org Reporter: Nathan Zachary <NathanZachary>
Component: New DocumentationAssignee: nm (RETIRED) <nightmorph>
Status: RESOLVED FIXED    
Severity: normal CC: dabbott, docs-team
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://dev.gentoo.org/~kalos/documentation/openbox_wip.xml
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: XML for the new HOWTO
Revision 1.1, fixing many items of concern
1 minor revision
Updated a bunch of items of concern
1.4 version of the Openbox HOWTO
Patch file of differences from 1.2 to 1.41
Updates for the Openbox HOWTO (v1.5)
Patch of changes between 1.4 and 1.5
1.5.1 version

Description Nathan Zachary gentoo-dev 2009-01-28 21:17:57 UTC
I have written a fairly thorough HOWTO on installing and customising Openbox3 with Gentoo.  The document also contains programs to use with Openbox, replacing the default window manager in GNOME, KDE, and Xfce, and some external links to more information.
Comment 1 Nathan Zachary gentoo-dev 2009-01-28 21:18:39 UTC
Created attachment 180014 [details]
XML for the new HOWTO
Comment 2 Xavier Neys (RETIRED) gentoo-dev 2009-01-29 17:52:06 UTC
$ xmllint --noout --valid openbox.xml 
openbox.xml:63: element p: validity error : Element pre is not declared in p list of possible children
</p>
    ^
and many many more. xmllint is your friend.

Fixed your xml, applied coding style, committed with draft status,
turned lists of programs into lists with links only to p.g.o

No content change, no proof-reading done.
Could anyone review?
Comment 3 nm (RETIRED) gentoo-dev 2009-01-29 20:00:20 UTC
I've been working with Nathan on this via IRC; he's been doing various things to the version on his devspace; looks like the XML here doesn't quite match. I'll do some more review on our draft version.
Comment 4 Xavier Neys (RETIRED) gentoo-dev 2009-01-29 21:24:47 UTC
(In reply to comment #3)
> I've been working with Nathan on this via IRC; he's been doing various things
> to the version on his devspace; looks like the XML here doesn't quite match.

His XML was (and still is on dev.g.o) very much invalid.

Nathan, since you changed your doc after submitting it, maybe it'd be easier for you to look at the committed version and submit a patch against it to update the content to your latest version?
Comment 5 Nathan Zachary gentoo-dev 2009-04-27 19:14:31 UTC
Created attachment 189638 [details]
Revision 1.1, fixing many items of concern
Comment 6 Nathan Zachary gentoo-dev 2009-04-27 19:18:02 UTC
After returning from hiatus, I have modified many aspects of the Openbox HOWTO.  I have added all the subsections discussed with Joshua via IRC, and reorganised some of the structure.  If there are no further content-based modifications to be made, I will proof the document for error (grammatical and operational).

I also apologise for the initial XML errors.  I do not believe there to be any in this version.
Comment 7 Xavier Neys (RETIRED) gentoo-dev 2009-04-27 20:19:45 UTC
Committed for your convenience. I did not read it, so I'll let it up to the assignee to take it further. Cheers.
Comment 8 Nathan Zachary gentoo-dev 2009-05-05 03:29:09 UTC
Created attachment 190382 [details]
1 minor revision

Added 1 package (LXterminal) to the list of terminal emulators.
Comment 9 Nathan Zachary gentoo-dev 2009-06-27 20:39:14 UTC
Created attachment 195919 [details]
Updated a bunch of items of concern

* Fixed some grammatical errors
* Updated package list information
* Added note about keywording/unmasking packages
* Changed xorg-x11 references to xorg-server
* Added a nicer example of menu.xml entries
Comment 10 nm (RETIRED) gentoo-dev 2009-06-28 02:16:57 UTC
Comment on attachment 195919 [details]
Updated a bunch of items of concern

Always as text/plain, thanks. :)
Comment 11 Nathan Zachary gentoo-dev 2009-06-28 03:03:12 UTC
I have no idea why I put XML.  Sorry about that Josh; won't happen again.
Comment 12 nm (RETIRED) gentoo-dev 2009-06-28 03:44:23 UTC
Okay, this is in. Here's my commit log:

"thorough overhaul of the openbox guide. i started with Nate's latest draft in bug #256693. more or less completely rewrote it, editing as i went. also added sections on other applications. left the ~arch stuff commented out for now, as we aren't supposed to document anything but the stable tree. this may change upon review, arch team stabilization, rainy weather, etc. also added the doc to our index and took it out of draft status. it's official!"

Anyway, as stated, I left the ~arch recommendations in the guide, they're just commented out. Some of the packages are rather alpha- or beta-ish, so I'm not sure about including them in the guide, as we are supposed to stick to the stable package tree. I may have some leeway here, but the best thing is to lean on the arch maintainers and get them to start stabling this stuff, like the LXDE packages.

Fixed in CVS. Doc is now official, will appear in our Desktop section along with our other guides. (Xfce, Gnome, KDE, etc.)
Comment 13 Nathan Zachary gentoo-dev 2009-06-28 20:22:21 UTC
Thanks for taking care of committing the document to the official repository.  Were there that many things wrong with it during the editing process?  Just out of curiosity, did you use the openbox_draft_3.xml attachment as your starting point, or was it one of the older revisions?

Anyway, thanks again for committing it, so that it is "official." :)

Comment 14 Nathan Zachary gentoo-dev 2009-08-13 17:25:29 UTC
Created attachment 201155 [details]
1.4 version of the Openbox HOWTO

Fixed and updated the following:

* In code listing 2.5, changed the $ to # as the operation requires root actions.
* Added a note to the 2.5 listing about becoming root before the command.
* In code listing 2.6, fixed the typographical error (7gt; instead of gt;).
* In code listing 2.6, made the <action... all on one line for readability.
* In code listing 2.8, fixed the typographical error (extra > in closing tag).
* In code listing 2.8, fixed the typographical error (missing closing ").
* Added a link to the package information for conky before code listing 2.10.
* Added a link to the package information for feh after code listing 2.10.
* Added a link to the package information for nitrogen after code listing 2.10.
* Removed the library dependency bug reference for nitrogen.
* In terminals section, changed "customized" to "customised" for consistency.
* In file managers, fixed typographical error for Nautilus (a "bit" heavy).
Comment 15 nm (RETIRED) gentoo-dev 2009-08-13 17:28:17 UTC
(In reply to comment #14)
> Created an attachment (id=201155) [edit]

Patch, please? In "diff -Nut" foo.xml.old foo.xml form.
Comment 16 Nathan Zachary gentoo-dev 2009-08-13 17:33:09 UTC
Reopening for updating to version 1.4
Comment 17 Nathan Zachary gentoo-dev 2009-08-13 17:34:10 UTC
I don't know how to make a patch for documentation.  Is there a reference on how to do it?
Comment 18 Nathan Zachary gentoo-dev 2009-08-25 00:01:30 UTC
Created attachment 202210 [details, diff]
Patch file of differences from 1.2 to 1.41

Sorry about the delay in providing the patch.
Comment 19 nm (RETIRED) gentoo-dev 2009-12-29 19:23:41 UTC
Sorry it took so long; fixed in CVS.

From the commit log:

"Lots of updates for bug 256693. I also went through the guide and made several other changes, including adding packages that are finally marked stable, such as all the LXDE applications, to the recommended packages lists."
Comment 20 Nathan Zachary gentoo-dev 2010-02-14 19:55:47 UTC
Created attachment 219695 [details]
Updates for the Openbox HOWTO (v1.5)

Changed a few things to make the guide work nicely with the current versions (both stable and testing) of Openbox.  Attaching a diff patch momentarily.
Comment 21 Nathan Zachary gentoo-dev 2010-02-14 19:59:52 UTC
Created attachment 219697 [details]
Patch of changes between 1.4 and 1.5

Patch of differences between 1.4 and 1.5.
Comment 22 Nathan Zachary gentoo-dev 2010-02-14 20:00:23 UTC
Reopening with new version of the HOWTO.
Comment 23 nm (RETIRED) gentoo-dev 2010-02-14 20:41:00 UTC
Fixed; thanks for the update.

Also, in the future, just the patch is fine. We can see what it'll look like assuming the patch applies cleanly. Save you some uploading effort. :)
Comment 24 Nathan Zachary gentoo-dev 2010-02-14 20:45:50 UTC
Wow, Josh, that was amazingly fast!  Thanks for staying on top of documentation updates!  I will also take your advice about just submitting the patch in the future. :)
Comment 25 Nathan Zachary gentoo-dev 2010-05-17 18:43:26 UTC
Created attachment 231845 [details]
1.5.1 version

Just a quick, but important, update regarding a potential dbus and policykit problem.  Thanks to Markos Chandras for bringing it to my attention.
Comment 26 Nathan Zachary gentoo-dev 2010-05-17 18:43:58 UTC
Re-opening for the minor change.
Comment 27 nm (RETIRED) gentoo-dev 2010-05-17 19:06:40 UTC
(In reply to comment #25)
> Created an attachment (id=231845) [details]
> 1.5.1 version
> 
> Just a quick, but important, update regarding a potential dbus and policykit
> problem.  Thanks to Markos Chandras for bringing it to my attention.

Just FYI:

1. We don't do sub-sub-versions. Actually, we're even trying to stay away from "point" versions altogether, so I'll bump it to "2" -- decimals really aren't necessary for documentation.

2. <i> won't work the way you think it does outside of <pre>. <c> is used for commands/code to be entered that appears in other block-level elements besides <pre>.

3. Do you really mean "problems with policykit"? Because the provided command is for ConsoleKit (ck-launch-session) -- the text and the fix are counterintuitive.
Comment 28 Nathan Zachary gentoo-dev 2010-05-17 19:10:49 UTC
Hey Josh,

1. Okay; now I know and will not use sub-sub-versioning anymore. :)
2. Thanks for the tip about <c>.
3. Yes, I did mean consolekit.

Wow, I threw this update together somewhat quickly because I had a minute to do so.  I should have looked over the revisions more carefully, as these were all careless mistakes.  I apologise.
Comment 29 nm (RETIRED) gentoo-dev 2010-05-17 19:36:46 UTC
(In reply to comment #28)
> Hey Josh,
> 
> 1. Okay; now I know and will not use sub-sub-versioning anymore. :)
> 2. Thanks for the tip about <c>.
> 3. Yes, I did mean consolekit.
> 
> Wow, I threw this update together somewhat quickly because I had a minute to do
> so.  I should have looked over the revisions more carefully, as these were all
> careless mistakes.  I apologise.

Thanks for getting back to me so quickly. And no worries. It's fixed in CVS; thanks for the update.